Summary: Multipath TCP daemon
Name:    mptcpd
Version: 0.11
Release: 4%{?dist}
License: BSD
URL:     https://multipath-tcp.org
Source0: https://github.com/intel/mptcpd/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: make gcc libtool automake autoconf autoconf-archive libell-devel
BuildRequires: systemd-units systemd-rpm-macros

%{?systemd_requires}

%description
The Multipath TCP Daemon is a daemon for Linux based operating systems that performs multipath TCP path
management related operations in user space. It interacts with the Linux kernel through a generic netlink
connection to track per-connection information (e.g. available remote addresses), available network
interfaces, request new MPTCP subflows, handle requests for subflows, etc.

%package devel
Summary: MPTCP path manager header files
License: BSD
Requires: pkgconfig %{name} = %{version}-%{release}

%description devel
Header files for adding MPTCP path manager support to applications

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -isf
%configure --enable-debug=info
%make_build

%install
install -d %{buildroot}/%{_libexecdir}
install -d %{buildroot}/%{_mandir}/man8
install -d %{buildroot}/%{_sysconfdir}/%{name}
install -d %{buildroot}/%{_unitdir}
install -d %{buildroot}/%{_libdir}/%{name}
install -d %{buildroot}/%{_includedir}/%{name}
%make_install
sed -i '/^# addr-flags=subflow/s/^# //g' %{buildroot}/%{_sysconfdir}/%{name}/%{name}.conf
sed -i '/^# notify-flags=existing,skip_link_local,skip_loopback/s/^# //g' %{buildroot}/%{_sysconfdir}/%{name}/%{name}.conf
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%postun
%systemd_postun mptcp.service

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/mptcpize
%{_libdir}/libmptcpd.so.*
%{_libdir}/%{name}/*.so
%{_libdir}/mptcpize/libmptcpwrap.so*
%{_libexecdir}/%{name}
%{_bindir}/mptcpize
%{_unitdir}/mptcp.service
%{_mandir}/man8/%{name}.8.gz
%{_mandir}/man8/mptcpize.8.gz

%files devel
%license COPYING
%dir %{_includedir}/%{name}
%{_libdir}/*.so
%{_includedir}/mptcpd/*.h
%{_libdir}/pkgconfig/mptcpd.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-3
- Rebuilt for OpenCloudOS Stream 23.09

* Mon May 8 2023 Shuo Wang <abushwang@tencent.com> - 0.11-2
- re-build mptcpd

* Thu Dec 8 2022 Shuo Wang <abushwang@tencent.com> - 0.11-1
- initial build
